Bug 177666 - Evolution Libnotify Events should be sticky
Evolution Libnotify Events should be sticky
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks: 177487
  Show dependency treegraph
 
Reported: 2006-01-12 14:58 EST by Ryan Skadberg
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 11:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Skadberg 2006-01-12 14:58:18 EST
As I am not always at my desk, and notification bubble about a meeting should be
sticky and stay on my desktop until I tell it to go away.

I'm not sure which of these problems this is:

a) Libnotify does not yet have support to do this
b) A porting issue from old libnotify to new libnotify (done by dhm)
c) Evolution never had it to begin with and this is going to be something that
is going to need to go to BZ.G.O
Comment 1 Ryan Skadberg 2006-01-12 15:06:21 EST
From IRC conversation about this:

<J5> skadz: make it sticky?  You mean not go away?
<J5> skadz: just set it to never timeout
<skadz> dhm: there's your answer :)
<skadz> j5, but is there some way to make it close then?
<skadz> like an X or something?
<J5> skadz: just click on it
Comment 2 Ryan Skadberg 2006-01-12 15:07:20 EST
It would be REALLY cool if the click could actually be the same thing as
clicking the panel applet when it has the blinking exclamation point on it and
it brings up the meeting information, but I'm just a dreamer :)
Comment 3 John (J5) Palmieri 2006-01-12 15:12:38 EST
There is a constant you pass to the notify_notification_set_timeout API. 
Something like NOTIFY_TIMEOUT_NEVER.  It is in the notifycommon.h file.  As for
clicking to bring up the meeting information all you have to do is add an action
(notify_notification_add_action) and do whatever you need to do in the callback.
 It will put a button or hyperlink in the the bubble.
Comment 4 Ryan Skadberg 2006-05-04 11:38:29 EDT
This is fixed

Note You need to log in before you can comment on or make changes to this bug.